Notification Preference
The notification preference resource.
Basehttps://rest.carbon.ms/notificationPreference
GET
/notificationPreferenceList notification preferences
Retrieve a paginated list of notification preferences. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/notificationPreference
curl --request GET \
--url 'https://rest.carbon.ms/notificationPreference?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"userId": "xyz789",
"companyId": "xyz789",
"channel": "string",
"topic": "string",
"enabled": true,
"updatedAt": "2026-01-01T00:00:00Z"
}
]GET
/notificationPreferenceRetrieve a notification preference
Fetch a single notification preference by filtering on `id`.
Query parameters
idstringMatch on the notification preference's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/notificationPreference
curl --request GET \
--url 'https://rest.carbon.ms/notificationPreference?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"userId": "xyz789",
"companyId": "xyz789",
"channel": "string",
"topic": "string",
"enabled": true,
"updatedAt": "2026-01-01T00:00:00Z"
}POST
/notificationPreferenceCreate a notification preference
Create a new notification preference.
Body parameters
userIdstringrequiredReferences user.id
companyIdstringrequiredReferences company.id
channelstringrequiredtopicstringrequiredenabledbooleanrequiredPOSThttps://rest.carbon.ms/notificationPreference
curl --request POST \
--url https://rest.carbon.ms/notificationPreference \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"userId":"xyz789","companyId":"xyz789","channel":"string","topic":"string","enabled":true}'Response
{
"id": "abc123def456",
"userId": "xyz789",
"companyId": "xyz789",
"channel": "string",
"topic": "string",
"enabled": true,
"updatedAt": "2026-01-01T00:00:00Z"
}PATCH
/notificationPreferenceUpdate a notification preference
Update an existing notification preference, matched on `id`.
Body parameters
userIdstringrequiredReferences user.id
companyIdstringrequiredReferences company.id
channelstringrequiredtopicstringrequiredenabledbooleanrequiredPATCHhttps://rest.carbon.ms/notificationPreference
curl --request PATCH \
--url 'https://rest.carbon.ms/notificationPreference?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"userId":"xyz789"}'Response
{
"id": "abc123def456",
"userId": "xyz789",
"companyId": "xyz789",
"channel": "string",
"topic": "string",
"enabled": true,
"updatedAt": "2026-01-01T00:00:00Z"
}DELETE
/notificationPreferenceDelete a notification preference
Delete a notification preference, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the notification preference to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/notificationPreference
curl --request DELETE \
--url 'https://rest.carbon.ms/notificationPreference?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content